module.exports = {
  presets: [
    [
      require.resolve("babel-preset-env"),
      {
        target: {
          browsers: [">1%", "ie>8"],
        },
        useBuiltIns: "usage",
      },
    ],
    require.resolve("babel-preset-stage-0"),
    require.resolve("babel-preset-react"),
  ],
  plugins: [
    require.resolve("babel-plugin-transform-decorators-legacy"),
    [
      require.resolve("babel-plugin-transform-runtime"),
      {
        helpers: true,
        polyfill: true,
        regenerator: true,
        moduleName: "babel-runtime",
      },
    ],
    require.resolve("babel-plugin-transform-object-rest-spread"),
    require.resolve("babel-plugin-transform-export-extensions"),
    // [
    //   require.resolve("babel-plugin-transform-require-ignore"),
    //   {
    //     extensions: [".less", ".css", ".sass", ".scss"]
    //   }
    // ],
    require.resolve("babel-plugin-lodash"),
    require.resolve("babel-plugin-date-fns"),
    [
      require.resolve("babel-plugin-import"),
      {
        libraryName: "antd",
        libraryDirectory: "es",
        style: "css", // `style: true` 会加载 less 文件
      },
    ],
  ],
};
